Bug 1656966 - Wacom tablet stops working when fwupd runs
Summary: Wacom tablet stops working when fwupd runs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fwupd
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1680154 1656516 1656968 1659849
Blocks: 1656965
TreeView+ depends on / blocked
 
Reported: 2018-12-06 18:27 UTC by Jason Gerecke
Modified: 2019-11-29 14:17 UTC (History)
2 users (show)

Fixed In Version: fwupd-1.2.3-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1656516
Environment:
Last Closed: 2019-01-08 02:40:48 UTC


Attachments (Terms of Use)

Description Jason Gerecke 2018-12-06 18:27:39 UTC
+++ This bug was initially created as a clone of Bug #1656516 +++

Certain Wacom tablets appear to be incompatible with fwupd and stop working as soon as the fwupd service starts. Because the fwupd service starts a few seconds after the desktop loads on my test machine, the tablet initially appears to work after a reboot but then "disappears" (no longer listed in xsetwacom) after perhaps 30 seconds. In addition to the tablet disappearing, the following message is logged: failed to add USB device <VID>:<PID>: Failed to get feature report: endpoint stalled or request not supported.

More details in the upstream bug report: https://github.com/hughsie/fwupd/issues/882

Fedora 29 ships version 1.1.4 which is affected.

Comment 1 Fedora Update System 2018-12-30 15:56:26 UTC
fwupd-1.2.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-862c9c5502

Comment 2 Fedora Update System 2018-12-31 04:57:01 UTC
fwupd-1.2.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-862c9c5502

Comment 3 Fedora Update System 2019-01-04 13:09:02 UTC
fwupd-1.2.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a7990b5eee

Comment 4 Fedora Update System 2019-01-05 18:51:44 UTC
fwupd-1.2.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a7990b5eee

Comment 5 Fedora Update System 2019-01-08 02:40:48 UTC
fwupd-1.2.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.